%ifarch ppc ppc64
%define __arch		ppc
%else
%define __arch		i386
%endif

%define __version       02
%define __release	00
Summary: A persistency framework defining a data model for linear collider experiments
Name: lcio
Version: %{__version}.%{__release}
Release: 10.6%{?dist}1e
Source0: localhost:/%{name}-v%{version}-macosx10.6-%{__arch}.tar.gz
NoSource: 0
URL: http://lcio.desy.de/
Group: Development/Libraries
License: Linear Collider Study Group
%define __prefix	/opt/lcio
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
LCIO is a persistency framework that defines a data model for linear 
collider detector studies. It is intended to be used in both simulation 
studies and analysis frameworks. 
Its light weight and portability makes it also suitable for use in 
detector R&D applications. It provides a C++ and a Java implementation 
with a common interface (API) - a Fortran interface to the C++ 
implementation also exists.

Almost all groups involved in linear collider detector studies have their 
own simulation software framework. Using a common persistency scheme 
would allow to easily share results and compare pattern recognition algorithms. 
LCIO (Linear Collider I/O) is such a persistency framework. LCIO is used 
by one US group and will be the standard format for the european simulation 
applications, where others might join in the near future.

The framework fulfills the requirements of the different groups today and 
is flexible enough to be adapted to future needs.

%prep
#%setup -c %{name}-%{version}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%install
tar -zpxvf $RPM_SOURCE_DIR/%{name}-v%{version}-macosx10.6-%{__arch}.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
find $RPM_BUILD_ROOT -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{__prefix}$' \
			     | grep -ve '^%dir /[^/]*$'  \
			     | grep -ve '^%dir $' > list.f
find $RPM_BUILD_ROOT -type f | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f
find $RPM_BUILD_ROOT -type l | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 11 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 02-00-10.6hepx1e
- 2nd build on MacOS X 10.6 for Intel Macs with clhep-2.1.1.0
- rebuilt with gcc4.5.1 and libstdc++.dylib and root_v5.30.02-1b

* Sat Sep 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 02-00-10.6hepx1d
- 1st build on MacOS X 10.6 for Intel Macs with clhep-2.1.1.0
- built with gcc4.5.1 and libstdc++.dylib

* Wed Jan 26 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 01-51-10.6hepx1d
- 4th build on MacOS X 10.6 for Intel Macs with clhep-2.1.0.1
- rebuilt with gcc4.5.1 and libstdc++.dylib

* Sun Nov 14 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-51-10.6hepx1c
- 3rd build on MacOS X 10.6 for Intel Macs with clhep-2.0.4.6
- rebuilt with gcc4.5.1

* Fri Oct 01 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-51-10.6hepx1b
- 2nd build on MacOS X 10.6 for PPC Macs with clhep-2.0.4.6
- rebuilt with gcc4.5.1

* Mon Sep 13 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-51-10.6hepx1a
- 1st build on MacOS X 10.6 for PPC Macs with clhep-2.0.4.6

* Tue Mar 09 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-12.2-10.6hepx1b
- 2nd build on MacOS X 10.6 for PPC Macs with clhep-2.0.4.5
- added symlinks for top-level include and libsio

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-12.2-10.6hepx1a
- 1st build on MacOS X 10.6 for PPC Macs with clhep-2.0.4.5

* Thu Jan 15 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 01-11-10.5hepx1a
- 1st build on MacOS X 10.5 for PPC Macs with clhep-2.0.4.2

* Tue Sep 23 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 01-10-10.5hepx1b
- 1st build on MacOS X 10.5 for PPC Macs with clhep-2.0.4.0

* Fri Jul 4 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 01-10-10.5hepx1a
- 1st build on MacOS X 10.5 for PPC Macs with clhep-2.0.3.3

* Thu Mar 27 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 01-09-10.5hepx1b
- 1st build on MacOS X 10.5 for PPC Macs with clhep-2.0.3.2

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 01-09-10.5hepx1a
- 1st build on MacOS X 10.5 for Intel Macs with clhep-2.0.3.2

#%files -f %{_builddir}/%{name}-%{version}/list.f
%files -f %{_builddir}/list.f
%defattr(-,root,wheel)
